Foxit PDF RDK

Public Member Functions | List of all members
ChoiceOptionArray Class Reference

## Public Member Functions
| Add (element)
| Add an element to the end of current array. More...
| constructor ()
| Constructor.
| GetAt (index)
| Retrieve a copy of the element at position specified by index in current array. More...
| GetSize ()
| Get the size of elements in current array. More...
| InsertAt (index, element)
| Insert an element before the position specified by index. More...
| RemoveAll ()
| Remove all the element from current array. More...
| RemoveAt (index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of choice options.

## Member Function Documentation

## ◆ Add()

ChoiceOptionArray.Add | ( | element |  | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

ChoiceOptionArray.GetAt | ( | index |  | ) |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

ChoiceOptionArray.GetSize | ( |  | ) |

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

ChoiceOptionArray.InsertAt | ( | index | ,
|  | element |
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

ChoiceOptionArray.RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

ChoiceOptionArray.RemoveAt | ( | index |  | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.